import initCtx from "@/utils/ctx.js";

export default function () {
	const {utils, Tea} = initCtx(this)

	this.isRequesting = false

	this.before = function () {
		this.isRequesting = true
	}

	this.done = function () {
		this.isRequesting = false
	}

	this.successUpload = function (resp) {
		let msg = "html:成功上传" + resp.data.count + "个证书"
		utils.success(msg, function () {
			this.$NotifyPopup(resp)
		})
	}
}